{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Gists Doc","colors":{"primary":"#3753EB","light":"#AE87FF","dark":"#0D001D"},"favicon":"/favicon.png","logo":{"dark":"https://mintlify.s3-us-west-1.amazonaws.com/cuelyinc/logo/dark.svg","light":"https://mintlify.s3-us-west-1.amazonaws.com/cuelyinc/logo/light.svg"},"api":{"openapi":"/openapi.yml","playground":{"display":"none"},"mdx":{"server":"https://api.gists.ai/v1","auth":{"method":"key","name":"GISTS-API-KEY"}}},"background":{"decoration":null,"color":{"light":null,"dark":"#090014"}},"navbar":{"links":[{"label":"Home","href":"https://gists.ai"},{"label":"Support","href":"mailto:team@gists.ai"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.gists.ai"}},"footer":{"socials":{"twitter":"https://twitter.com/gistsai","linkedin":"https://www.linkedin.com/company/gists"}},"integrations":{"gtm":{"tagId":"GTM-PM7S2JD8"},"intercom":{"appId":"p3p3z10k"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cuelyinc","hasAudioNarration":false,"actualSubdomain":"cuelyinc","customDomains":["docs.gists.ai"],"gitSource":{"type":"github","owner":"gistsai","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae91d6f25e4849087070347:success","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Documentation","count":11},{"language":"default","tag":"Essentials","count":8},{"language":"default","tag":"API Reference","count":3},{"language":"default","tag":"Get Started","count":2},{"language":"default","tag":"API Documentation","count":1},{"language":"default","tag":"Generate","count":1},{"language":"default","tag":"Me","count":1},{"language":"default","tag":"Guides","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/authentication","slug":"/api-reference/authentication","pageMetadata":{"title":"Authentication","description":null,"href":"/api-reference/authentication"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Info,Tip,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Tip)_missingMdxReference(`Tip`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Authenticate against Gists Api with the following HTTP header:`}),`\n`,_jsx(CodeBlock,{numberOfLines:`1`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'GISTS-API-KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'\u003capi-key>'`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`api-key`,children:`Api Key`}),`\n`,_jsx(_components.p,{children:`You can find your Api keys on`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Go to page: `,_jsx(_components.a,{href:`https://app.gists.ai/settings`,children:`https://app.gists.ai/settings`})]}),`\n`,_jsxs(_components.li,{children:[`Click on the `,_jsx(_components.code,{children:`Api Keys`}),` tab`]}),`\n`,_jsx(_components.li,{children:`Click on the default Api key to copy it`}),`\n`]}),`\n`,_jsx(Warning,{children:`Keep your API keys safe.`}),`\n`,_jsx(Warning,{children:`Anyone with the API key can access all your gists.`}),`\n`,_jsxs(Info,{children:[`Contact `,_jsx(_components.a,{href:`mailto:team@gists.ai`,children:`team@gists.ai`}),` if you think your Api key has leaked and we’ll create a new one for you.`]}),`\n`,_jsxs(Tip,{children:[`A `,_jsx(_components.a,{href:`https://gists.ai/pricing`,children:`Team plan`}),` is required to enable Gists API.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Authentication","description":null,"href":"/api-reference/authentication"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Api Key","slug":"api-key","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"cuelyinc","siteName":"Gists Doc","title":"Authentication - Gists Doc","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/authentication.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Gists Doc\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cuelyinc/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cuelyinc/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cuelyinc/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cuelyinc/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Authentication - Gists Doc\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Gists Doc\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.gists.ai/api-reference/authentication\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cuelyinc.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Authentication\u0026amp;theme=cb0d8be558acec1222299561\u0026amp;signature=6ea2ae3711eb467a6334194b02d5029166210745e2462dbbb776e2d4ce23f5de\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Authentication - Gists Doc\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cuelyinc.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Authentication\u0026amp;theme=cb0d8be558acec1222299561\u0026amp;signature=6ea2ae3711eb467a6334194b02d5029166210745e2462dbbb776e2d4ce23f5de\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/cuelyinc/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Gists Doc\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3753EB\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.gists.ai/api-reference/authentication\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/authentication.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.gists.ai/#organization\",\"name\":\"Gists Doc\",\"url\":\"https://docs.gists.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3-us-west-1.amazonaws.com/cuelyinc/logo/light.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.gists.ai#website\",\"name\":\"Gists Doc\",\"url\":\"https://docs.gists.ai\",\"publisher\":{\"@id\":\"https://docs.gists.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.gists.ai/api-reference/authentication#webpage\",\"url\":\"https://docs.gists.ai/api-reference/authentication\",\"name\":\"Authentication\",\"isPartOf\":{\"@id\":\"https://docs.gists.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.gists.ai/api-reference/authentication#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.gists.ai/api-reference/authentication#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Gists Doc\",\"item\":\"https://docs.gists.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Authentication\",\"item\":\"https://docs.gists.ai/api-reference/authentication\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.gists.ai/api-reference/authentication#article\",\"headline\":\"Authentication\",\"name\":\"Authentication\",\"url\":\"https://docs.gists.ai/api-reference/authentication\",\"mainEntityOfPage\":{\"@id\":\"https://docs.gists.ai/api-reference/authentication#webpage\"},\"publisher\":{\"@id\":\"https://docs.gists.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.gists.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Gists Doc\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Gists Doc","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"Generate","pages":[{"title":"Generate","description":"This endpoint calls the gist and the variant specified in the url parameter","api":"POST /generate/{gistId}/{variantSlug}","openapi":"POST /generate/{gistId}/{variantSlug}","href":"/api-reference/endpoint/generate"}]},{"group":"Me","pages":[{"title":"Me","api":"GET /me","openapi":"GET /me","href":"/api-reference/me/me"}]}]}]},"basePath":"","title":"Authentication - Gists Doc","buildId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","deploymentId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","dynamics":[],"chunks":[]}